ace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bram Pouwelse (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ACE-492) Update the project to use Bndtools 2.4.0
Date Mon, 25 Jan 2016 20:59:39 GMT

     [ https://issues.apache.org/jira/browse/ACE-492?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Bram Pouwelse updated ACE-492:
------------------------------
    Attachment: ACE-492.patch

Patch to support the bnd(tools) 3.1 Gradle build (similar to the Felix Dependency Manager
gradle build).

I didn't remove the ant build.xml files yet in this patch we can do that once the Gradle build
has proven to work as expected. 

> Update the project to use Bndtools 2.4.0
> ----------------------------------------
>
>                 Key: ACE-492
>                 URL: https://issues.apache.org/jira/browse/ACE-492
>             Project: ACE
>          Issue Type: Improvement
>          Components: Build
>            Reporter: Marcel Offermans
>              Labels: ace-build, ace-next
>         Attachments: ACE-492.patch
>
>
> Bndtools 2.4.0 has just been released, so we should probably spend some time upgrading
the ACE build to work with it. This can probably be done in two steps:
> # Ensure that the current build works with 2.4.0.
> # Migrate to gradle, as that is the new build system for 2.4.0.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message